<div class="row" [ngbCollapse]="isSu">
  <div class="col-md-12">
    <div class="card">
      <div class="card-body">
        <div class="card-block">
          <div class="px-3">
            <form class="form ng-untouched ng-pristine ng-valid" [formGroup]="regularForm" #patientsForm="ngForm"
              (ngSubmit)="addPatient(patientsForm)" novalidate>
              <div class="form-body">
                <h4 class="form-section">
                  <i class="ft-user"></i>
                  Personal Information
                </h4>
                <div class="row">
                  <div class="form-group col-md-6 mb-2">
                    <label class="" for="name">Name</label>
                    <input type="text" id="name" placeholder="Name" class="form-control" maxlength="20"
                      formControlName="name" required>
                    <small class="form-text text-muted danger" *ngIf="!regularForm.get('name').valid && (regularForm.get('name').dirty || regularForm.get('name').touched)">Required,
                      only letters</small>
                  </div>
                  <div class="form-group col-md-6 mb-2">
                    <label class="" for="lastName">Lastname</label>
                    <input type="text" id="lastName" placeholder="Lastname" class="form-control" maxlength="20"
                      formControlName="lastName" required>
                    <small class="form-text text-muted danger" *ngIf="!regularForm.get('lastName').valid && (regularForm.get('lastName').dirty || regularForm.get('lastName').touched)">Required,
                      only letters</small>
                  </div>
                </div>
                <div class="row">
                  <div class="form-group col-md-2">
                    <label class="" for="type">Type</label>
                    <select formControlName="typeDocument" class="form-control" id="type" required>
                      <option *ngFor="let x of typeDocument" [value]="x.type">{{x.type}}</option>
                    </select>
                    <small class="form-text text-muted danger" *ngIf="!regularForm.get('typeDocument').valid && (regularForm.get('typeDocument').dirty || regularForm.get('typeDocument').touched)">Required</small>
                  </div>
                  <div class="form-group col-md-4">
                    <label class="" for="documentNumber">Document</label>
                    <input type="text" id="documentNumber" placeholder="123456789" class="form-control" maxlength="20"
                      formControlName="documentNumber" required>
                    <small class="form-text text-muted danger" *ngIf="!regularForm.get('documentNumber').valid && (regularForm.get('documentNumber').dirty || regularForm.get('documentNumber').touched)">Required,
                      Only numbers</small>
                  </div>
                  <div class="form-group col-md-6 mb-2">
                    <label class="" for="birth">Birthdate</label>
                    <input data-placement="top" data-title="Date Opened" data-toggle="tooltip" data-trigger="hover"
                      type="date" name="" id="birth" placeholder="dd-mm-aaaa" class="form-control" formControlName="birth"
                      required>
                    <small class="form-text text-muted danger" *ngIf="!regularForm.get('birth').valid && (regularForm.get('birth').dirty || regularForm.get('birth').touched)">Required</small>
                  </div>
                </div>
                <div class="row">
                  <div class="form-group col-md-6 mb-2">
                    <label class="" for="direction">Direction</label>
                    <input type="input" name="" id="direction" placeholder="AV Ramon Antonio" class="form-control"
                      maxlength="70" formControlName="direction" required>
                    <small class="form-text text-muted danger" *ngIf="!regularForm.get('direction').valid && (regularForm.get('direction').dirty || regularForm.get('direction').touched)">Required</small>
                  </div>
                  <div class="form-group col-md-6 mb-2">
                    <label class="" for="gender">Gender</label>
                    <select formControlName="gender" class="form-control" id="gender" required>
                      <option *ngFor="let x of gender" [value]="x.gender">{{x.gender}}</option>
                    </select>
                  </div>
                </div>
                <div class="row">
                  <div class="form-group col-md-6 mb-2">
                    <label class="" for="plan">Plan</label>
                    <input id="plan" type="text" class="form-control" placeholder="Plan" maxlength="20" formControlName="plan" required>
                    <small class="form-text text-muted danger" *ngIf="!regularForm.get('plan').valid && (regularForm.get('plan').dirty || regularForm.get('plan').touched)">Required</small>
                  </div>
                  <div class="form-group col-md-6 mb-2">
                    <label class="" for="phone">Phone</label>
                    <input type="text" class="form-control" id="phone" maxlength="12" placeholder="04281010010"
                      formControlName="phone" required>
                    <small class="form-text text-muted danger" *ngIf="!regularForm.get('phone').valid && (regularForm.get('phone').dirty || regularForm.get('phone').touched)">Required,
                      Only numbers</small>
                  </div>
                </div>
              </div>
              <div class="form-actions right">
                <button [disabled]="!this.regularForm.valid" class="btn btn-outline-success btn-raised"> Save
                  <i class="ft-check-circle"></i>
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
